    /*
     *  call-seq:
     *     index_reader.delete(doc_id) -> index_reader
     *
     *  Delete document referenced internally by document id +doc_id+. The
     *  document_id is the number used to reference documents in the index and is
     *  returned by search methods.
     */
    static VALUE
    frt_ir_delete(VALUE self, VALUE rdoc_id)
    {
        IndexReader *ir = (IndexReader *)DATA_PTR(self);
        ir_delete_doc(ir, FIX2INT(rdoc_id));
        return self;
    }